Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Functions
id.c File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | rb_intern(str) rb_intern_const(str)

## Functions
static void | Init_id (void)

## Macro Definition Documentation

#define rb_intern | ( |  | str | ) | rb_intern_const(str)

## Function Documentation

static void Init_id | ( | void |  | ) |
| static

Definition at line 14 of file id.c.

References enc, id_core_define_method, id_core_define_singleton_method, id_core_hash_from_ary, id_core_hash_merge_ary, id_core_hash_merge_kwd, id_core_hash_merge_ptr, id_core_set_method_alias, id_core_set_postexe, id_core_set_variable_alias, id_core_undef_method, idCFUNC, idEmptyP, idIFUNC, idNULL, idRespond_to, idRespond_to_missing, rb_usascii_encoding(), and REGISTER_SYMID.